# Interface ModuleResolvedEventArgs

#### Hierarchy

- ModuleResolvedEventArgs

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/ResolverEventEmitter.d.ts:2

#####
Index

### Properties

filter?
module

## Properties

### `Optional` filter

filter?: ModuleFilter

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/ResolverEventEmitter.d.ts:3

### module

module: Module<ModuleParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.module.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<undefined, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, ModuleEventData>

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/ResolverEventEmitter.d.ts:4

Generated using TypeDoc